complete -c minijinja-cli -l config-file -d 'Alternative path to the config file.' -r -F
complete -c minijinja-cli -s f -l format -d 'The format of the input data' -r -f -a "{auto\t'',cbor\t'',ini\t'',json\t'',querystring\t'',toml\t'',yaml\t''}"
complete -c minijinja-cli -s a -l autoescape -d 'Reconfigures autoescape behavior' -r -f -a "{auto\t'',html\t'',json\t'',none\t''}"
complete -c minijinja-cli -s D -l define -d 'Defines an input variable (key=value / key:=json_value)' -r
complete -c minijinja-cli -l safe-path -d 'Only allow includes from this path' -r -F
complete -c minijinja-cli -l fuel -d 'Configures the maximum fuel' -r
complete -c minijinja-cli -s s -l syntax -d 'Changes a syntax feature (feature=value) [possible features: block-start, block-end, variable-start, variable-end, comment-start, comment-end, line-statement-prefix, line-statement-comment]' -r
complete -c minijinja-cli -s t -l template -d 'Render a string template' -r
complete -c minijinja-cli -s E -l expr -d 'Evaluates an template expression' -r
complete -c minijinja-cli -l expr-out -d 'The expression output mode' -r -f -a "{print\t'',json\t'',json-pretty\t'',status\t''}"
complete -c minijinja-cli -l dump -d 'Dump internals of a template' -r -f -a "{instructions\t'',ast\t'',tokens\t''}"
complete -c minijinja-cli -s o -l output -d 'Path to the output file' -r -F
complete -c minijinja-cli -l select -d 'Select a subset of the input data' -r
complete -c minijinja-cli -l generate-completion -d 'Generate a completion script for the given shell' -r -f -a "{bash\t'',elvish\t'',fig\t'',fish\t'',nushell\t'',powershell\t'',zsh\t''}"
complete -c minijinja-cli -l strict -d 'Disallow undefined variables in templates'
complete -c minijinja-cli -l no-include -d 'Disallow includes and extending'
complete -c minijinja-cli -s n -l no-newline -d 'Do not output a trailing newline'
complete -c minijinja-cli -l trim-blocks -d 'Enable the trim-blocks flag'
complete -c minijinja-cli -l lstrip-blocks -d 'Enable the lstrip-blocks flag'
complete -c minijinja-cli -l py-compat -d 'Enables improved Python compatibility'
complete -c minijinja-cli -l env -d 'Pass environment variables as ENV to the template'
complete -c minijinja-cli -l repl -d 'Starts the repl with the given data'
complete -c minijinja-cli -l print-config -d 'Print out the loaded config'
complete -c minijinja-cli -s h -l help -d 'Print short help (short texts)'
complete -c minijinja-cli -l long-help -d 'Print long help (extended, long explanation texts)'
complete -c minijinja-cli -l syntax-help -d 'Print syntax help (primer on Jinja2/MiniJinja syntax)'
complete -c minijinja-cli -s V -l version -d 'Print version'
